AxisDataSeries (jCharts-0.7.5 API)
Keywords: org.jCharts.chartData.AxisDataSeries,AxisDataSeries class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.chartData
Class AxisDataSeries

    java.lang.Object
      |
      +--org.jCharts.chartData.AxisDataSeries

All Implemented Interfaces:
  HTMLTestable, IAxisDataSeries, IData, java.io.Serializable

Direct Known Subclasses:
  DataSeries, ScatterPlotDataSeries

public abstract class AxisDataSeries
extends java.lang.Object
implements IAxisDataSeries, HTMLTestable

Collection of all IAxisChartDataSets to display in an AxisChart

See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `chartTitle`
`protected java.util.HashMap` | `dataSets`
`private int` | `sizeOfEachDataSet`
`protected int` | `totalNumberOfDataSets`
`private java.lang.String` | `xAxisTitle`
`private java.lang.String` | `yAxisTitle`

Constructor Summary
`AxisDataSeries(java.lang.String xAxisTitle, java.lang.String yAxisTitle, java.lang.String chartTitle)` Constructor

Method Summary
`void` | `addIAxisPlotDataSet(IAxisPlotDataSet iAxisPlotDataSet)` Adds the passed IAxisPlotDataSet to the series
`java.lang.String` | `getChartTitle()` Returns the chart title.
`IAxisPlotDataSet` | `getIAxisPlotDataSet(ChartType chartType)` Returns the IAxisPlotDataSet for the passed chart type constant.
`java.util.Iterator` | `getIAxisPlotDataSetIterator()` Returns an Iterator over a List of IAxisPlotDataSet Objects
`int` | `getSizeOfEachDataSet()` Returns number of elements in each data set dimension, so i can validate a that all IAxisPlotDataSets on a ComboChart have the same number of elements, as well as the number of Axis Labels equal the number of data elements other charts.
`int` | `getTotalNumberOfDataSets()` Returns the total number data dimensions in all of the IAxisChartDataSets contained in this collection.
`java.lang.String` | `getXAxisTitle()` Returns the x-axis title
`java.lang.String` | `getYAxisTitle()` Returns the y-axis title
`int` | `size()` Returns the number of IAxisPlotDataSet Objects in this series
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`void` | `validate()` Validates the DataSeries implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chartTitle

    private java.lang.String chartTitle

### xAxisTitle

    private java.lang.String xAxisTitle

### yAxisTitle

    private java.lang.String yAxisTitle

### dataSets

    protected java.util.HashMap dataSets

### totalNumberOfDataSets

    protected int totalNumberOfDataSets

### sizeOfEachDataSet

    private int sizeOfEachDataSet

Constructor Detail

### AxisDataSeries

    public AxisDataSeries(java.lang.String xAxisTitle,
                          java.lang.String yAxisTitle,
                          java.lang.String chartTitle)

  Constructor

Parameters:
  `xAxisTitle` - if this is NULL, no title will be displayed
  `yAxisTitle` - if this is NULL, no title will be displayed
  `chartTitle` - if this is NULL, no title will be displayed

Method Detail

### getXAxisTitle

    public java.lang.String getXAxisTitle()

  Returns the x-axis title

  Specified by:
    `getXAxisTitle` in interface `IAxisDataSeries`
  Returns:
    String

### getYAxisTitle

    public java.lang.String getYAxisTitle()

  Returns the y-axis title

  Specified by:
    `getYAxisTitle` in interface `IAxisDataSeries`
  Returns:
    String

### getChartTitle

    public java.lang.String getChartTitle()

  Returns the chart title.

  Specified by:
    `getChartTitle` in interface `IAxisDataSeries`
  Returns:
    String the chart title. If this returns NULL, no title will be displayed.

### getIAxisPlotDataSet

    public IAxisPlotDataSet getIAxisPlotDataSet(ChartType chartType)

  Returns the IAxisPlotDataSet for the passed chart type constant. Will return NULL if if no data set exists for the passed type.

  Specified by:
    `getIAxisPlotDataSet` in interface `IAxisDataSeries`
  Parameters:
    `chartType` -
  Returns:
    IAxisPlotDataSet

### getIAxisPlotDataSetIterator

    public java.util.Iterator getIAxisPlotDataSetIterator()

  Returns an Iterator over a List of IAxisPlotDataSet Objects

  Specified by:
    `getIAxisPlotDataSetIterator` in interface `IAxisDataSeries`
  Returns:
    Iterator over a List of IAxisPlotDataSet Objects

### getTotalNumberOfDataSets

    public int getTotalNumberOfDataSets()

  Returns the total number data dimensions in all of the IAxisChartDataSets contained in this collection. For example, if this contains two IAxisChartDataSets and each one contains 3 dimensions ( 3 lines and 3 sets of points ), this should return six. This provides a means to avoid looping the contents of the series each time i need the value.

  Specified by:
    `getTotalNumberOfDataSets` in interface `IAxisDataSeries`
  Returns:
    int

### addIAxisPlotDataSet

    public void addIAxisPlotDataSet(IAxisPlotDataSet iAxisPlotDataSet)

  Adds the passed IAxisPlotDataSet to the series

  Specified by:
    `addIAxisPlotDataSet` in interface `IAxisDataSeries`
  Parameters:
    `iAxisPlotDataSet` -

### validate

    public void validate()
                  throws ChartDataException,
                         PropertyException

  Description copied from interface: `IAxisDataSeries`
  Validates the DataSeries implementation. This will only get called if the ChartProperties flag to validate is true.

  Specified by:
    `validate` in interface `IAxisDataSeries`
  Throws:
    `ChartDataException`
    `PropertyException`
  See Also:
    `ChartProperties.setValidate( boolean )`

### getSizeOfEachDataSet

    public int getSizeOfEachDataSet()

  Returns number of elements in each data set dimension, so i can validate a that all IAxisPlotDataSets on a ComboChart have the same number of elements, as well as the number of Axis Labels equal the number of data elements other charts.

  Returns:
    int

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Parameters:
    `htmlGenerator` -

### size

    public int size()

  Returns the number of IAxisPlotDataSet Objects in this series

  Specified by:
    `size` in interface `IAxisDataSeries`
  Returns:
    int

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD